Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EJBRuntimeMBean

All Known Subinterfaces:
  EntityEJBRuntimeMBean, MessageDrivenEJBRuntimeMBean, StatefulEJBRuntimeMBean, StatelessEJBRuntimeMBean

public interface EJBRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all common runtime information collected for all EJB types.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getEJBName()` Returns the ejb-name for this EJB as defined in the ejb-jar.xml deployment descriptor.
`weblogic.management.runtime.RuntimeMBean[]` | `getResources()` Returns the RuntimeMBeans for the resources used by this EJB.
`EJBTransactionRuntimeMBean` | `getTransactionRuntime()` Returns the EJBTransactionRuntimeMBean, containing runtime transaction counts, for this EJB.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTransactionRuntime

    public EJBTransactionRuntimeMBean getTransactionRuntime()

  Returns the EJBTransactionRuntimeMBean, containing runtime transaction counts, for this EJB.

  Returns:
    The transactionRuntime value

### getEJBName

    public java.lang.String getEJBName()

  Returns the ejb-name for this EJB as defined in the ejb-jar.xml deployment descriptor.

  Returns:
    The eJBName value

### getResources

    public weblogic.management.runtime.RuntimeMBean[] getResources()

  Returns the RuntimeMBeans for the resources used by this EJB. This will always include an ExecuteQueueRuntimeMBean. It will also include a JMSDestinationRuntimeMBean for MessageDriven beans and a JDBCConnectionPoolMBean for CMP Entity beans.

  Returns:
    The resources value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD